Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr
[Java] Class ASTRuntimeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.antlr.ASTRuntimeException

    public class ASTRuntimeException
    extends RuntimeException

Authors:
  James Strachan

Version:
  \$Revision: 8004 \$

Constructor Summary
`ASTRuntimeException(AST ast, String message)`
`ASTRuntimeException(AST ast, String message, Throwable throwable)`

Method Summary
`protected static String` | `description(AST node)`
`AST` | `getAst()`
`int` | `getColumn()`
`int` | `getLine()`

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressedException, getSuppressedExceptions, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ASTRuntimeException

    public ASTRuntimeException(AST ast, String message)

### ASTRuntimeException

    public ASTRuntimeException(AST ast, String message, Throwable throwable)

Method Detail

### description

    protected static String description(AST node)

### getAst

    public AST getAst()

### getColumn

    public int getColumn()

### getLine

    public int getLine()

Copyright © 2003-2010 The Codehaus. All rights reserved.